com.mockobjects.dynamic

## Class OrderedMock

- java.lang.Object
- - com.mockobjects.dynamic.Mock
  - - com.mockobjects.dynamic.OrderedMock

All Implemented Interfaces:
  Verifiable, java.lang.reflect.InvocationHandler

    public class OrderedMock
    extends Mock

Author:
  Administrator

### Constructor Summary

Constructors
Constructor and Description
`OrderedMock(java.lang.Class mockedClass)`
`OrderedMock(java.lang.Class mockedClass, java.lang.String name)`

### Method Summary

### Methods inherited from class com.mockobjects.dynamic.Mock

`className, expect, expect, expect, expect, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndReturn, expectAndThrow, expectAndThrow, expectAndThrow, expectAndThrow, expectNotCalled, expectVoid, expectVoid, expectVoid, getMockName, invoke, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndReturn, matchAndThrow, matchAndThrow, matchAndThrow, matchAndThrow, matchAndThrow, mockNameFromClass, proxy, reset, toString, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OrderedMock

    public OrderedMock(java.lang.Class mockedClass)

#### OrderedMock

    public OrderedMock(java.lang.Class mockedClass,
               java.lang.String name)